{
  "name": "management",
  "version": "0.0.0",
  "private": true,
  "type": "module",
  "scripts": {
    "dev": "vite --mode development",
    "local": "vite --mode locality",
    "build": "run-p type-check \"build-only {@}\" --",
    "preview": "vite preview",
    "build-only": "vite build",
    "type-check": "vue-tsc --build"
  },
  "dependencies": {
    "@kjgl77/datav-vue3": "^1.7.4",
    "@vueuse/core": "^13.1.0",
    "animate.css": "^4.1.1",
    "axios": "^1.8.1",
    "dayjs": "^1.11.13",
    "echarts": "^5.6.0",
    "event-source-polyfill": "^1.0.31",
    "js-base64": "^3.7.7",
    "jsencrypt": "^3.3.2",
    "lodash-es": "^4.17.21",
    "naive-ui": "^2.41.0",
    "pinia": "^3.0.1",
    "pinia-plugin-persistedstate": "^4.2.0",
    "sass": "^1.85.1",
    "terser": "^5.39.0",
    "unplugin-auto-import": "^19.1.1",
    "unplugin-vue-components": "^28.4.1",
    "vue": "^3.5.13",
    "vue-router": "^4.5.0"
  },
  "devDependencies": {
    "@tsconfig/node22": "^22.0.0",
    "@types/event-source-polyfill": "^1.0.5",
    "@types/node": "^22.13.4",
    "@vitejs/plugin-vue": "^5.2.1",
    "@vitejs/plugin-vue-jsx": "^4.1.1",
    "@vue/tsconfig": "^0.7.0",
    "npm-run-all2": "^7.0.2",
    "rollup-plugin-visualizer": "^5.14.0",
    "typescript": "~5.7.3",
    "vite": "^6.1.0",
    "vite-plugin-vue-devtools": "^7.7.2",
    "vue-tsc": "^2.2.2"
  }
}
